Package io.papermc.paper.datapack

# Interface Datapack

public interface Datapack

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Datapack.Compatibility`

## Method Summary

Modifier and Type
Method
Description
`@NonNull Datapack.Compatibility`
`getCompatibility()`
`@NonNull String`
`getName()`
`boolean`
`isEnabled()`
`void`
`setEnabled(boolean enabled)`

## Method Details

### getName

@NonNull String getName()

Returns:
  the name of the pack

### getCompatibility

@NonNull Datapack.Compatibility getCompatibility()

Returns:
  the compatibility of the pack

### isEnabled

boolean isEnabled()

Returns:
  whether or not the pack is currently enabled

### setEnabled

void setEnabled(boolean enabled)